(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "{{ stack.name }} - {{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav() }}")
(main
    ("class" "flex flex-col gap-2")
    (text "{{ macros::timelines_nav(selected=\"stacks\") }}")
    (div
        ("class" "card-nest w-full")
        (div
            ("class" "card small flex items-center justify-between gap-2")
            (div
                ("class" "flex items-center gap-2")
                (text "{{ icon \"list\" }}")
                (span
                    (text "{{ stack.name }}")))
            (text "{% if user and user.id == stack.owner -%}")
            (a
                ("href" "/stacks/{{ stack.id }}/manage")
                ("class" "button lowered small")
                (text "{{ icon \"pencil\" }}")
                (span
                    (text "{{ text \"general:action.manage\" }}")))
            (text "{%- endif %}"))
        (div
            ("class" "card w-full flex flex-col gap-2")
            (text "{% if list|length == 0 -%}")
            (p
                (text "No posts yet! Maybe ")
                (a
                    ("href" "/stacks/{{ stack.id }}/manage#/users")
                    (text "add a user to this stack"))
                (text "!"))
            (text "{%- endif %}  {% for post in list %} {% if post[2].read_access == \"Everybody\" -%} {% if post[0].context.repost and post[0].context.repost.reposting -%} {{ components::repost(repost=post[3], post=post[0], owner=post[1], secondary=true, community=post[2], show_community=true) }} {% else %} {{ components::post(post=post[0], owner=post[1], question=post[4], secondary=true, community=post[2], poll=post[5]) }} {%- endif %} {%- endif %} {% endfor %}  {{ components::pagination(page=page, items=list|length) }}"))))

(text "{% endblock %}")
