(text "{% extends \"profile/base.html\" %} {% block content %} {% if profile.settings.enable_questions and (user or profile.settings.allow_anonymous_questions) %}")
(div
    ("style" "display: contents")
    (text "{{ components::create_question_form(receiver=profile.id, header=profile.settings.motivational_header) }}"))

(text "{%- endif %} {{ macros::profile_nav(selected=\"media\") }}")
(div
    ("class" "card-nest")
    (div
        ("class" "card small flex gap-2 justify-between items-center")
        (div
            ("class" "flex gap-2 items-center")
            (text "{{ icon \"clock\" }}")
            (span
                (text "{{ text \"auth:label.recent_posts_with_media\" }}")))
        (text "{% if user -%}")
        (a
            ("href" "/search?profile={{ profile.id }}")
            ("class" "button lowered small")
            (text "{{ icon \"search\" }}")
            (span
                (text "{{ text \"general:link.search\" }}")))
        (text "{%- endif %}"))
    (div
        ("class" "card flex flex-col gap-4")
        (text "{% for post in posts %} {% if post[2].read_access == \"Everybody\" -%} {% if post[0].context.repost and post[0].context.repost.reposting -%} {{ components::repost(repost=post[3], post=post[0], owner=post[1], secondary=true, community=post[2], show_community=true, can_manage_post=is_self) }} {% else %} {{ components::post(post=post[0], owner=post[1], question=post[4], secondary=true, community=post[2], can_manage_post=is_self, poll=post[5]) }} {%- endif %} {%- endif %} {% endfor %}  {{ components::pagination(page=page, items=posts|length) }}")))

(text "{% endblock %}")
