(text "{% extends \"root.html\" %} {% block head %}")
(title
    (text "{{ config.name }}"))

(text "{% endblock %} {% block body %} {{ macros::nav(selected=\"home\") }}")
(main
    ("class" "flex flex-col gap-2")
    (text "{{ macros::timelines_nav(selected=\"home\", posts=\"/\", questions=\"/questions\") }} {% if list|length == 0 and page == 0 -%}")
    (div
        ("class" "card-nest")
        (div
            ("class" "card small")
            (b
                (text "✨ Welcome to ")
                (i
                    (text "{{ config.name }}"))
                (text "!")))
        (div
            ("class" "card no_p_margin")
            (p
                (text "Join some communities to populate your home timeline!"))
            (p
                (text "You can get started by ")
                (a
                    ("href" "/communities/search")
                    (text "searching for a community to join!")))))
    (text "{% else %}")
    (div
        ("class" "card w-full flex flex-col gap-2")
        (text "{% for post in list %} {% if post[0].context.repost and post[0].context.repost.reposting -%} {{ components::repost(repost=post[3], post=post[0], owner=post[1], secondary=true, community=post[2], show_community=true) }} {% else %} {{ components::post(post=post[0], owner=post[1], question=post[4], secondary=true, community=post[2], poll=post[5]) }} {%- endif %} {% endfor %}  {{ components::pagination(page=page, items=list|length) }}"))
    (text "{%- endif %}"))

(text "{% endblock %}")
